Index: plottools/src/danse/common/plottools/plottables.py
===================================================================
--- plottools/src/danse/common/plottools/plottables.py	(revision 82a54b89c2fb14de05cf41239d597f5e7cb6df9b)
+++ plottools/src/danse/common/plottools/plottables.py	(revision 10bfeb307197dbe02c1ab9ca2e868b076c0cd128)
@@ -44,5 +44,4 @@
 import copy
 import numpy
-import math
 import sys
 
@@ -51,6 +50,8 @@
     def any(L):
         for cond in L:
-            if cond: return True
+            if cond:
+                return True
         return False
+    
     def all(L):
         for cond in L:
@@ -59,5 +60,5 @@
         return True
 
-# Graph structure for holding multiple plottables
+
 class Graph:
     """
@@ -129,6 +130,6 @@
         (as opposed to changing the basic properties)
         """
-        if units != "": 
-             name = "%s (%s)" % (name, units)
+        if units != "":
+            name = "%s (%s)" % (name, units)
         self.prop["xlabel"] = name
         self.prop["xunit"] = units
@@ -140,6 +141,6 @@
         (as opposed to changing the basic properties)
         """
-        if units != "": 
-             name = "%s (%s)" % (name, units)
+        if units != "":
+            name = "%s (%s)" % (name, units)
         self.prop["ylabel"] = name
         self.prop["yunit"] = units
@@ -149,6 +150,6 @@
         Properties of the x axis.
         """
-        if units != "": 
-             name = "%s (%s)" % (name, units)
+        if units != "":
+            name = "%s (%s)" % (name, units)
         self.prop["xlabel"] = name
         self.prop["xunit"] = units
@@ -160,6 +161,6 @@
         Properties of the y axis.
         """
-        if units != "": 
-             name = "%s (%s)" % (name, units)
+        if units != "":
+            name = "%s (%s)" % (name, units)
         self.prop["ylabel"] = name
         self.prop["yunit"] = units
@@ -200,5 +201,5 @@
         if plottable in self.plottables:
             return True
-        return False  
+        return False
 
     def add(self, plottable, color=None):
@@ -211,5 +212,5 @@
                 self.color += plottable.colors()
                 self.plottables[plottable] = self.color
-    	        
+
     def changed(self):
         """Detect if any graphed plottables have changed"""
@@ -250,5 +251,5 @@
         if plottable in self.plottables:
             del self.plottables[plottable]
-            self.color = len(self.plottables) 
+            self.color = len(self.plottables)
             
     def reset_scale(self):
@@ -263,7 +264,7 @@
         self.color = -1
         self.symbol = 0
-        self.prop = {"xlabel":"", "xunit":None,
-                     "ylabel":"","yunit":None,
-                     "title":""}
+        self.prop = {"xlabel": "", "xunit": None,
+                     "ylabel": "", "yunit": None,
+                     "title": ""}
         self.plottables = {}
     
@@ -297,5 +298,5 @@
         """
         This method returns a dictionary of plottables contained in graph
-        It is just by Plotpanel to interact with the complete list of plottables 
+        It is just by Plotpanel to interact with the complete list of plottables
         inside the graph.
         """
@@ -310,8 +311,8 @@
         for p in self.plottables:
             if p.custom_color is not None:
-                p.render(plot, color=p.custom_color, symbol=0, 
+                p.render(plot, color=p.custom_color, symbol=0,
                 markersize=p.markersize, label=labels[p])
             else:
-                p.render(plot, color=self.plottables[p], symbol=0, 
+                p.render(plot, color=self.plottables[p], symbol=0,
                      markersize=p.markersize, label=labels[p])
         plot.render()
@@ -346,5 +347,5 @@
         menu for the graph.
         
-    type: operational axis.  This determines whether the 
+    type: operational axis.  This determines whether the
         transform should appear on x,y or z axis context
         menus, or if it should appear in the context menu for
@@ -353,11 +354,11 @@
     inventory: (not implemented) 
         a dictionary of user settable parameter names and
-        their associated types.  These should appear as keyword 
-        arguments to the transform call.  For example, Fresnel 
+        their associated types.  These should appear as keyword
+        arguments to the transform call.  For example, Fresnel
         reflectivity requires the substrate density:
              { 'rho': type.Value(10e-6/units.angstrom**2) }
              
-        Supply reasonable defaults in the callback so that 
-        limited plotting clients work even though they cannot 
+        Supply reasonable defaults in the callback so that
+        limited plotting clients work even though they cannot
         set the inventory.
         
@@ -373,5 +374,5 @@
         the standard x,dx,y,dy,z,dz attributes appropriately.
         
-        If the call raises a NotImplemented error the dataline 
+        If the call raises a NotImplemented error the dataline
         will not be plotted.  The associated string will usually
         be 'Not a valid transform', though other strings are possible.
@@ -380,5 +381,5 @@
         
         """
-        raise NotImplemented,"Not a valid transform"
+        raise NotImplemented, "Not a valid transform"
 
     # Related issues
@@ -387,5 +388,5 @@
     # log scale:
     #    All axes have implicit log/linear scaling options.
-    # 
+    #
     # normalization:
     #    Want to display raw counts vs detector efficiency correction
@@ -401,5 +402,5 @@
     #
     # multiline graph:
-    #    How do we show/hide data parts.  E.g., data or theory, or 
+    #    How do we show/hide data parts.  E.g., data or theory, or
     #    different polarization cross sections?  One way is with
     #    tags: each plottable has a set of tags and the tags are
@@ -420,5 +421,5 @@
     """
     """
-    # Short ascii name to refer to the plottable in a menu   
+    # Short ascii name to refer to the plottable in a menu
     short_name = None
     # Fancy name
@@ -434,5 +435,5 @@
     interactive = True
     custom_color = None
-    markersize = 5 #default marker size is 'size 5'
+    markersize = 5  # default marker size is 'size 5'
     
     def __init__(self):
@@ -441,5 +442,5 @@
         self._xunit = ""
         self._yaxis = ""
-        self._yunit = "" 
+        self._yunit = ""
         
     def __setattr__(self, name, value):
@@ -495,5 +496,5 @@
     def labels(cls, collection):
         """
-        Construct a set of unique labels for a collection of plottables of 
+        Construct a set of unique labels for a collection of plottables of
         the same type.
         
@@ -509,6 +510,7 @@
             else:
                 for i in xrange(len(collection)):
-                    map[collection[i]] = "%s %d"%(basename, i)
+                    map[collection[i]] = "%s %d" % (basename, i)
         return map
+
     ##Use the following if @classmethod doesn't work
     # labels = classmethod(labels)
@@ -526,5 +528,5 @@
     def set_View(self, x, y):
         """Load View"""
-        self.x= x
+        self.x = x
         self.y = y
         self.reset_view()
@@ -541,7 +543,7 @@
         """
         The base class makes sure the correct units are being used for
-        subsequent plottable.  
-        
-        For now it is assumed that the graphs are commensurate, and if you 
+        subsequent plottable.
+        
+        For now it is assumed that the graphs are commensurate, and if you
         put a Qx object on a Temperature graph then you had better hope 
         that it makes sense.
@@ -560,5 +562,4 @@
         return False
         
-        
     def colors(self):
         """Return the number of colors need to render the object"""
@@ -577,21 +578,21 @@
         return self.view.returnXview()
     
-    def check_data_PlottableX(self): 
-        """
-        Since no transformation is made for log10(x), check that 
+    def check_data_PlottableX(self):
+        """
+        Since no transformation is made for log10(x), check that
         no negative values is plot in log scale
         """
         self.view.check_data_logX()
         
-    def check_data_PlottableY(self): 
+    def check_data_PlottableY(self):
         """
         Since no transformation is made for log10(y), check that 
         no negative values is plot in log scale
         """
-        self.view.check_data_logY() 
+        self.view.check_data_logY()
         
     def transformX(self, transx, transdx):
         """
-        Receive pointers to function that transform x and dx 
+        Receive pointers to function that transform x and dx
         and set corresponding View pointers
         
@@ -604,5 +605,5 @@
     def transformY(self, transy, transdy):
         """
-        Receive pointers to function that transform y and dy 
+        Receive pointers to function that transform y and dy
         and set corresponding View pointers
         
@@ -628,5 +629,6 @@
         """
         self.view.onFitRangeView(xmin, xmax)
-        
+    
+    
 class View:
     """
@@ -666,5 +668,5 @@
         :param x: array of x values
         :param y: array of y values
-        :param dx: array of  errors values on x 
+        :param dx: array of  errors values on x
         :param dy: array of error values on y
         
@@ -675,8 +677,8 @@
         has_err_y = not (dy == None or len(dy) == 0)
         
-        if(x != None) and (y != None): 
-            if not dx == None and not len(dx) == 0 and not len(x)== len(dx):
+        if(x != None) and (y != None):
+            if not dx == None and not len(dx) == 0 and not len(x) == len(dx):
                 msg = "Plottable.View: Given x and dx are not"
-                msg += " of the same length" 
+                msg += " of the same length"
                 raise ValueError, msg
             # Check length of y array
@@ -686,7 +688,7 @@
                 raise ValueError, msg
         
-            if not dy == None and not len(dy) == 0 and not len(y)==len(dy):
+            if not dy == None and not len(dy) == 0 and not len(y) == len(dy):
                 msg = "Plottable.View: Given y and dy are not of the same "
-                msg += "length: len(y)=%s, len(dy)=%s" %(len(y),len(dy))
+                msg += "length: len(y)=%s, len(dy)=%s" % (len(y), len(dy))
                 raise ValueError, msg
             self.x = []
@@ -708,6 +710,6 @@
             for i in range(len(x)):
                 try:
-                    tempx =self.funcx(x[i],y[i])
-                    tempy =self.funcy(y[i],x[i])
+                    tempx = self.funcx(x[i], y[i])
+                    tempy = self.funcy(y[i], x[i])
                     if has_err_x:
                         tempdx = self.funcdx(x[i], y[i], dx[i], dy[i])
@@ -727,13 +729,13 @@
             if not len(self.x) == len(self.y):
                 msg = "Plottable.View: transformed x "
-                msg += "and y are not of the same length" 
+                msg += "and y are not of the same length"
                 raise ValueError, msg
             if has_err_x and not (len(self.x) and len(self.dx)):
                 msg = "Plottable.View: transformed x and dx"
-                msg += " are not of the same length" 
+                msg += " are not of the same length"
                 raise ValueError, msg
             if has_err_y and not (len(self.y) and len(self.dy)):
                 msg = "Plottable.View: transformed y"
-                msg += " and dy are not of the same length" 
+                msg += " and dy are not of the same length"
                 raise ValueError, msg
             # Check that negative values are not plot on x and y axis for
@@ -750,6 +752,5 @@
         """
         Reset x,y,dx and y in their full range  and in the initial scale
-        in case their previous range has changed  
-        
+        in case their previous range has changed
         """
         self.x = self.Xreel
@@ -758,12 +759,11 @@
         self.dy = self.DYreel
         
-    def setTransformX(self, funcx, funcdx):  
-        """
-        Receive pointers to function that transform x and dx 
+    def setTransformX(self, funcx, funcdx):
+        """
+        Receive pointers to function that transform x and dx
         and set corresponding View pointers
         
         :param transx: pointer to function that transforms x
         :param transdx: pointer to function that transforms dx
-        
         """
         self.funcx = funcx
@@ -772,11 +772,10 @@
     def setTransformY(self, funcy, funcdy):
         """
-        Receive pointers to function that transform y and dy 
+        Receive pointers to function that transform y and dy
         and set corresponding View pointers
         
         :param transx: pointer to function that transforms y
         :param transdx: pointer to function that transforms dy
-        
-        """    
+        """
         self.funcy = funcy
         self.funcdy = funcdy
@@ -788,9 +787,8 @@
         return self.x, self.y, self.dx, self.dy
     
-    def check_data_logX(self): 
+    def check_data_logX(self):
         """
         Remove negative value in x vector to avoid plotting negative
         value of Log10
-        
         """
         tempx = []
@@ -802,5 +800,5 @@
         if self.dy == None:
             self.dy = numpy.zeros(len(self.y))
-        if self.xLabel == "log10(x)" :
+        if self.xLabel == "log10(x)":
             for i in range(len(self.x)):
                 try:
@@ -812,5 +810,5 @@
                 except:
                     print "check_data_logX: skipping point x %g" % self.x[i]
-                    print sys.exc_value  
+                    print sys.exc_value
                     pass 
             self.x = tempx
@@ -819,7 +817,7 @@
             self.dy = tempdy
         
-    def check_data_logY(self): 
-        """
-        Remove negative value in y vector 
+    def check_data_logY(self):
+        """
+        Remove negative value in y vector
         to avoid plotting negative value of Log10
         
@@ -833,7 +831,7 @@
         if self.dy == None:
             self.dy = numpy.zeros(len(self.y))
-        if (self.yLabel == "log10(y)" ):
+        if (self.yLabel == "log10(y)"):
             for i in range(len(self.x)):
-                 try:
+                try:
                     if (self.y[i] > 0):
                         tempx.append(self.x[i])
@@ -841,7 +839,7 @@
                         tempy.append(self.y[i])
                         tempdy.append(self.dy[i])
-                 except:
-                    print "check_data_logY: skipping point %g" %self.y[i]
-                    print sys.exc_value  
+                except:
+                    print "check_data_logY: skipping point %g" % self.y[i]
+                    print sys.exc_value
                     pass
             self.x = tempx
@@ -865,5 +863,5 @@
             self.dx = numpy.zeros(len(self.x))
         if self.dy == None:
-            self.dy=numpy.zeros(len(self.y))
+            self.dy = numpy.zeros(len(self.y))
         if (xmin != None) and (xmax != None):
             for i in range(len(self.x)):
@@ -876,6 +874,7 @@
             self.y = tempy
             self.dx = tempdx
-            self.dy = tempdy 
-                       
+            self.dy = tempdy
+
+              
 class Data2D(Plottable):
     """
@@ -910,5 +909,5 @@
         self._yunit = 'A^{-1}'
         
-        ### might remove that later 
+        ### might remove that later
         ## Vector of Q-values at the center of each bin in x
         self.x_bins = []
@@ -1003,5 +1002,5 @@
         plot.image(self.data, self.qx_data, self.qy_data,
                    self.xmin, self.xmax, self.ymin,
-                   self.ymax, self.zmin, self.zmax, **kw)    
+                   self.ymax, self.zmin, self.zmax, **kw)
        
     def changed(self):
@@ -1021,4 +1020,5 @@
             map[item] = item.label
         return map
+
 
 class Data1D(Plottable):
@@ -1060,10 +1060,10 @@
         if self.interactive == True:
             kw['symbol'] = self.symbol
-            kw['id'] =  self.id
+            kw['id'] = self.id
             kw['hide_error'] = self.hide_error
             kw['markersize'] = self.markersize
             plot.interactive_points(self.view.x, self.view.y,
                                     dx=self.view.dx, dy=self.view.dy,
-              name=self.name, **kw)            
+              name=self.name, **kw)
         else:
             kw['id'] =  self.id
@@ -1072,5 +1072,5 @@
             kw['color'] = self.custom_color
             kw['markersize'] = self.markersize
-            plot.points(self.view.x, self.view.y, dx=self.view.dx, 
+            plot.points(self.view.x, self.view.y, dx=self.view.dx,
                 dy=self.view.dy, marker=self.symbollist[self.symbol], **kw)
        
@@ -1089,4 +1089,5 @@
             map[item] = item.label
         return map
+    
     
 class Theory1D(Plottable):
@@ -1121,12 +1122,11 @@
         """
         """
-        if self.interactive==True:
-      
-            kw['id'] =  self.id
+        if self.interactive == True:
+            kw['id'] = self.id
             plot.interactive_curve(self.view.x, self.view.y,
                                    dy=self.view.dy,
                                    name=self.name, **kw)
         else:
-            kw['id'] =  self.id
+            kw['id'] = self.id
             plot.curve(self.view.x, self.view.y, dy=self.view.dy, **kw)
             
@@ -1139,6 +1139,4 @@
         map = {}
         for item in collection:
-            #map[item] = label(item, collection)
-            #map[item] = r"$\rm{%s}$" % item.name
             if item.label == "theory":
                 item.label = item.name
@@ -1175,4 +1173,5 @@
         return self.data.changed() or self.theory.changed()
 
+
 # ---------------------------------------------------------------
 class Text(Plottable):
@@ -1190,11 +1189,11 @@
         self.ypos = ypos
         
-    def render(self,plot,**kw):
+    def render(self, plot, **kw):
         """
         """
         from matplotlib import transforms
 
-        xcoords=transforms.blended_transform_factory(plot.subplot.transAxes,
-                                                     plot.subplot.transAxes)
+        xcoords = transforms.blended_transform_factory(plot.subplot.transAxes,
+                                                       plot.subplot.transAxes)
         plot.subplot.text(self.xpos,
                           self.ypos,
@@ -1206,5 +1205,5 @@
     def setText(self, text):
         """Set the text string."""
-        self.text =  text
+        self.text = text
 
     def getText(self, text):
@@ -1230,5 +1229,5 @@
 class Chisq(Plottable):
     """
-    Chisq plottable plots the chisq 
+    Chisq plottable plots the chisq
     """
     def __init__(self, chisq=None):
@@ -1265,5 +1264,5 @@
         Set the chisq value.
         """
-        self._chisq =  chisq
+        self._chisq = chisq
 
 
@@ -1275,9 +1274,9 @@
     # Construct a simple graph
     if False:
-        x = nx.array([1,2,3,4,5,6],'d')
-        y = nx.array([4,5,6,5,4,5],'d')
+        x = nx.array([1,2,3,4,5,6], 'd')
+        y = nx.array([4,5,6,5,4,5], 'd')
         dy = nx.array([0.2, 0.3, 0.1, 0.2, 0.9, 0.3])
     else:
-        x = nx.linspace(0,1.,10000)
+        x = nx.linspace(0, 1., 10000)
         y = nx.sin(2 * nx.pi * x * 2.8)
         dy = nx.sqrt(100 * nx.abs(y)) / 100
@@ -1289,5 +1288,6 @@
     graph.add(data)
     graph.add(Theory1D(x, y, dy=dy))
-    return graph 
+    return graph
+
 
 def demo_plotter(graph):
@@ -1306,23 +1306,20 @@
     
     class GraphUpdate:
-        callnum=0
+        callnum = 0
+        
         def __init__(self, graph, plotter):
             self.graph, self.plotter = graph, plotter
+        
         def __call__(self):
-            if self.graph.changed(): 
+            if self.graph.changed():
                 self.graph.render(self.plotter)
                 return True
             return False
+        
         def onIdle(self, event):
-            #print "On Idle checker %d"%(self.callnum)
             self.callnum = self.callnum + 1
             if self.__call__(): 
-                pass # event.RequestMore()
+                pass  # event.RequestMore()
     update = GraphUpdate(graph, plotter)
     frame.Bind(wx.EVT_IDLE, update.onIdle)
     app.MainLoop()
-
-import sys; print sys.version
-if __name__ == "__main__":
-    demo_plotter(sample_graph())
-    
Index: plottools/src/danse/common/plottools/toolbar.py
===================================================================
--- plottools/src/danse/common/plottools/toolbar.py	(revision 82a54b89c2fb14de05cf41239d597f5e7cb6df9b)
+++ plottools/src/danse/common/plottools/toolbar.py	(revision 10bfeb307197dbe02c1ab9ca2e868b076c0cd128)
@@ -1,10 +1,7 @@
-
 """
-this module overwrite matplotlib toolbar
-
+    This module overwrites matplotlib toolbar
 """
 import wx
 from matplotlib.backends.backend_wxagg import NavigationToolbar2WxAgg
-from matplotlib.backends.backend_wx import _load_bitmap
 
 class NavigationToolBar(NavigationToolbar2WxAgg):
@@ -28,7 +25,7 @@
         """
         #delte reset button
-        self.DeleteToolByPos(0) 
+        self.DeleteToolByPos(0)
         #delete unwanted button that configures subplot parameters
-        self.DeleteToolByPos(5) 
+        self.DeleteToolByPos(5)
         
     def add_option(self):
@@ -41,12 +38,12 @@
         context_tip += '    For more menu options, \n'
         context_tip += '    right-click the data symbols.'
-        context =  wx.ArtProvider.GetBitmap(wx.ART_LIST_VIEW, wx.ART_TOOLBAR)
-        self.InsertSimpleTool(0, id_context, context, 
+        context = wx.ArtProvider.GetBitmap(wx.ART_LIST_VIEW, wx.ART_TOOLBAR)
+        self.InsertSimpleTool(0, id_context, context,
                                    context_tip, context_tip)
-        wx.EVT_TOOL(self, id_context,  self.on_menu)
+        wx.EVT_TOOL(self, id_context, self.on_menu)
         self.InsertSeparator(1)
         
         id_print = wx.NewId()
-        print_bmp =  wx.ArtProvider.GetBitmap(wx.ART_PRINT, wx.ART_TOOLBAR)
+        print_bmp = wx.ArtProvider.GetBitmap(wx.ART_PRINT, wx.ART_TOOLBAR)
         self.AddSimpleTool(id_print, print_bmp,
                            'Print', 'Activate printing')
@@ -54,5 +51,5 @@
         #add reset button
         id_reset = wx.NewId()
-        reset_bmp =  wx.ArtProvider.GetBitmap(wx.ART_GO_HOME, wx.ART_TOOLBAR)
+        reset_bmp = wx.ArtProvider.GetBitmap(wx.ART_GO_HOME, wx.ART_TOOLBAR)
         self.AddSimpleTool(id_reset, reset_bmp,
                            'Reset Graph Range', 'Reset graph range')
@@ -85,2 +82,3 @@
         except:
             pass
+        
Index: plottools/src/danse/common/plottools/unitConverter.py
===================================================================
--- plottools/src/danse/common/plottools/unitConverter.py	(revision 82a54b89c2fb14de05cf41239d597f5e7cb6df9b)
+++ plottools/src/danse/common/plottools/unitConverter.py	(revision 10bfeb307197dbe02c1ab9ca2e868b076c0cd128)
@@ -1,11 +1,12 @@
-import re, string
+import re
+import string
 #Input   ->  new scale  ->  Output
 
-unit1 = "A^{-1} "#           x                    A^{-1}
+unit1 = "A^{-1} "  #             x                    A^{-1}
 unit2 = "A"  #                   x                     A
-unit3 = "A"  #                  x^2                  A^{2}
+unit3 = "A"  #                   x^2                  A^{2}
 unit4 = "A "  #                  1/x                  A^{-1}
-unit5 = "A^{0.5} " #        x^2                      A
-unit9 = "m^{1/2}" #         x^2               m
+unit5 = "A^{0.5} "  #        x^2                      A
+unit9 = "m^{1/2}"  #         x^2               m
 
 #If you don't recognize the pattern, give up
@@ -13,6 +14,6 @@
 
 unit6 = "m/s"  #                x^2               (m/s)^{2}
-unit7 = "m/s^{2}" #         1/x                 (m/s^{2})^{-1}
-unit8 = "m/s^{4}" #         x^2               (m/s^{4})^{2}
+unit7 = "m/s^{2}"  #         1/x                 (m/s^{2})^{-1}
+unit8 = "m/s^{4}"  #         x^2               (m/s^{4})^{2}
 
 
@@ -21,8 +22,8 @@
     """
     if pow != 0:
-        if string.find(unit, "^") != -1:# if the unit contains a power ^
+        if string.find(unit, "^") != -1:  # if the unit contains a power ^
             unitSplitted = re.split("\^", unit)
-            if string.find(unitSplitted[0],"/") != -1 or\
-                string.find(unitSplitted[0],"-") != -1 : # find slash /
+            if string.find(unitSplitted[0], "/") != -1 or\
+                string.find(unitSplitted[0], "-") != -1 :  # find slash /
                 if pow == 1:
                     unit = unit
@@ -30,29 +31,29 @@
                     unit = "("+unit+")" + "^{"+ str(pow) + "}"
             else:
-                if string.find(unitSplitted[1],"{") != -1:# if found a {
-                    findPower = re.split("{",unitSplitted[1])
-                    if string.find(findPower[1],"}") != -1:# found }
+                if string.find(unitSplitted[1], "{") != -1:  # if found a {
+                    findPower = re.split("{", unitSplitted[1])
+                    if string.find(findPower[1], "}") != -1:  # found }
                         unitPower = re.split("}", findPower[1])
-                        if(string.find(unitPower[0],".") != -1):
-                            power = float(unitPower[0]) * pow 
-                        elif(string.find(unitPower[0],"/") != -1): 
+                        if(string.find(unitPower[0], ".") != -1):
+                            power = float(unitPower[0]) * pow
+                        elif(string.find(unitPower[0], "/") != -1):
                             #power is a float
                             poweSplitted = re.split("/", unitPower[0])
                             power = pow * int(poweSplitted[0])\
-                                        /int(poweSplitted[1])
+                                         /int(poweSplitted[1])
                         else:
-                            power = int(unitPower[0]) * pow   
+                            power = int(unitPower[0]) * pow
                        
                         if power == 1.0:
-                           unit = unitSplitted[0]
+                            unit = unitSplitted[0]
                         elif power == 0.5:
-                            unit = unitSplitted[0] + "^{1/2}"  
+                            unit = unitSplitted[0] + "^{1/2}"
                         elif power == -0.5:
-                            unit = unitSplitted[0] + "^{-1/2}"  
+                            unit = unitSplitted[0] + "^{-1/2}"
                         else:
-                            unit = unitSplitted[0] + "^{" + str(power) + "}"  
+                            unit = unitSplitted[0] + "^{" + str(power) + "}"
                 else:
-                     raise ValueError, "missing } in unit expression" 
-        else:#no power
+                     raise ValueError, "missing } in unit expression"
+        else:  # no power
             if  pow != 1:
                 unit = "(" + unit + ")" + "^{" + str(pow) + "}"
@@ -60,22 +61,23 @@
         raise ValueError, "empty unit ,enter a power different from zero"
     return unit
+
+
 if __name__ == "__main__": 
     print "this unit1 %s ,its power %s , and value %s" % (unit1,
                                                 1, UnitConvertion(1, unit1))
-    print "this unit2 %s ,its power %s , and value %s" % (unit2,1,
+    print "this unit2 %s ,its power %s , and value %s" % (unit2, 1,
                                                 UnitConvertion(1, unit2))
-    print "this unit3 %s ,its power %s , and value %s" % (unit3, 2, 
+    print "this unit3 %s ,its power %s , and value %s" % (unit3, 2,
                                                     UnitConvertion(2, unit3))
-    print "this unit4 %s ,its power %s , and value %s" % (unit4, -1, 
+    print "this unit4 %s ,its power %s , and value %s" % (unit4, -1,
                                                 UnitConvertion(-1, unit4))
     print "this unit5 %s ,its power %s , and value %s" % (unit5, 2,
                                                     UnitConvertion(2, unit5))
-    print "this unit6 %s ,its power %s , and value %s" % (unit6, 2, 
+    print "this unit6 %s ,its power %s , and value %s" % (unit6, 2,
                                                     UnitConvertion(2, unit6))
-    print "this unit7 %s ,its power %s , and value %s" % (unit7, -1, 
+    print "this unit7 %s ,its power %s , and value %s" % (unit7, -1,
                                                     UnitConvertion(-1, unit7))
-    print "this unit8 %s ,its power %s , and value %s" % (unit8, 2, 
+    print "this unit8 %s ,its power %s , and value %s" % (unit8, 2,
                                                     UnitConvertion(2, unit8))
-    print "this unit9 %s ,its power %s , and value %s" % (unit9, 2, 
+    print "this unit9 %s ,its power %s , and value %s" % (unit9, 2,
                                                     UnitConvertion(2, unit9))
-    
